Bug 351611 - Review Request: perl-Object-Deadly - An object that dies whenever examined
Summary: Review Request: perl-Object-Deadly - An object that dies whenever examined
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-25 01:46 UTC by Robin Norwood
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 04:16:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robin Norwood 2007-10-25 01:46:31 UTC
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-Object-Deadly.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-Object-Deadly-0.09-1.fc8.src.rpm
Description: Object::Deadly is meant to be used in testing. All possible
overloading and method calls die. You can pass this object into
methods which are not supposed to accidentally trigger any potentially
overloading.

Object::Deadly is used to test perl-Carp-Clan, and probably other modules.

See: https://bugzilla.redhat.com/show_bug.cgi?id=226244

Comment 1 Parag AN(पराग) 2007-10-25 03:00:06 UTC
make test failed tests.
Can you please look at that issues and add needed BRs to check make test is not
failing while building package?

Comment 3 Parag AN(पराग) 2007-10-26 05:51:18 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fcf2895dd63b4bdd3a9ad683516b7aef  Object-Deadly-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs 
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01pod.............skipped
        all skipped: Skipping author tests
t/02pod-coverage....skipped
        all skipped: Skipping author tests
t/03yaml............skipped
        all skipped: Skipping author tests
t/04boilerplate.....skipped
        all skipped: Skipping author tests
t/10load............# Testing Object::Deadly 0.09, Perl 5.008008, /usr/bin/perl
ok
t/20deadly..........ok
t/21class...........ok
All tests successful, 4 tests skipped.
Files=7, Tests=139,  1 wallclock secs ( 0.36 cusr +  0.06 csys =  0.42 CPU)
+ Package perl-Object-Deadly-0.09-2.fc8 ->
 Provides: perl(Object::Deadly) = 0.09 perl(Object::Deadly::_safe)
perl(Object::Deadly::_unsafe) Requires: perl(:MODULE_COMPAT_5.8.8) perl(B)
perl(Carp::Clan) >= 5.4 perl(Devel::Symdump) perl(English) perl(Object::Deadly)
perl(Object::Deadly::_safe) perl(Object::Deadly::_unsafe) perl(Scalar::Util)
perl(overload) perl(strict) perl(vars)

APPROVED.

                                                                               
     

Comment 4 Parag AN(पराग) 2007-11-13 08:51:43 UTC
Robin,
 can you request for CVS and build this package?

Comment 5 Robin Norwood 2007-11-14 15:40:57 UTC
New Package CVS Request
=======================
Package Name: perl-Object-Deadly
Short Description: An object that dies whenever examined
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2007-11-15 00:29:27 UTC
cvs done.

Comment 7 Robin Norwood 2007-11-15 04:16:37 UTC
Build.  Closing.


Note You need to log in before you can comment on or make changes to this bug.